QGIS Application - Bug report #18600
QGIS3: can't cancel ogr2ogr
2018-03-31 06:43 PM - Tobias Wendorff

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/OGR

Affected QGIS version:3.0.0 Regression?: No

Operating System: Microsoft Windows 7, 64-bit Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 26488
Description

It's not possible to cancel ogr2ogr processing by pressing the "cancel" button.
I've created a quick workaround using myself in Powershell. It finds the PID of ogr2ogr.exe, kills it and removes the temporary files.

Work-around for QGIS (should work in Windows and Linux): get the PID of the subprocess started, kill the process and remove the
temporary files (important for a clean workspace).

Same behavior in 6ddd9ab0c7 and below.

Related issues:
Related to QGIS Application - Bug report # 20441: Unable to stop executing GD... Closed 2018-11-10

History

#1 - 2018-06-04 02:01 AM - Nyall Dawson
- Resolution set to fixed/implemented
- Status changed from Open to Closed

Fixed in 3.2 - the cancel button is correctly disabled for OGR/GDAL algorithms (pending a safe cross-platform way to kill these commands)

#2 - 2019-01-29 08:00 AM - Alexander Bruy
- Related to Bug report #2044 1: Unable to stop executing GDAL algorithm added
